# File generated by kdevelop's qmake manager. 
# ------------------------------------------- 
# Subdir relative project main directory: ./screenshotplugin
# Target is a library:  

# debug mode only

HEADERS += screenshotplugin.h \
           screenshotplugincontainer.h \
           screenshotpluginfactory.h
SOURCES += screenshotplugin.cpp \
           screenshotplugincontainer.cpp \
           screenshotpluginfactory.cpp
TRANSLATIONS = ../../../translations/screenshotplugin_de.ts \
	../../../translations/screenshotplugin_es.ts
TEMPLATE = lib
CONFIG += warn_on \
	qt \
	thread \
	stl \
	plugin \
	link_pkgconfig

OBJECTS_DIR = .obj
UI_DIR = .ui
MOC_DIR = .moc
DESTDIR = ../
VERSION = 0.0.1
INCLUDEPATH += . \
	../../
PKGCONFIG += libept

# this is required to remove the --no-undefined flag, which causes a linker error
QMAKE_LFLAGS -= -Wl,--no-undefined
# yeah, go for C++11!
# QMAKE_CXXFLAGS += -std=c++0x
# add standard Debian flags
QMAKE_CXXFLAGS_RELEASE += $$system(dpkg-buildflags --get CPPFLAGS)
QMAKE_CXXFLAGS_RELEASE += $$system(dpkg-buildflags --get CXXFLAGS)
QMAKE_LFLAGS += $$system(dpkg-buildflags --get LDFLAGS)

QT += xml network

debug {
    message("generating debug version")
    OBJECTS_DIR = .obj_debug
    DEFINES += __DEBUG
    CONFIG -= release
    include(../../modeltest/modeltest.pri)
}
else {
    message("generating release version")
    OBJECTS_DIR = .obj
}
